NGBE(4)

NAME
ngbe - WangXun WX1860 PCI Express 10/100/1Gb Ethernet device

SYNOPSIS
ngbe* at pci?

DESCRIPTION
The ngbe driver provides support for PCI Express Gigabit Ethernet adapters based on the WangXun WX1860AL1 and WX1860A2 Ethernet controllers, including the following:

•   LR-LINK LRES2034PT (WX1860AL1)
•   LR-LINK LRES2045PT (WX1860A2)

The ngbe driver supports IPv4 receive IP/TCP/UDP checksum offload and VLAN tag insertion and stripping.

The ngbe driver supports the following media types:

autoselect
    Enables auto-negotiation for speed and duplex.

10baseT mediaopt full-duplex
    Sets 10Mbps operation.

100baseTX mediaopt full-duplex
    Sets 100Mbps operation.

1000baseT
    Sets 1000Mbps operation. Only full-duplex mode is supported at this speed.

For more information on configuring this device, see ifconfig(8).

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), pci(4), hostname.if(5), ifconfig(8)

HISTORY
The ngbe driver first appeared in OpenBSD 7.4.

AUTHORS
-nosplit The ngbe driver was written by Kevin Lo <kevlo@openbsd.org>.